
QGIS Application - Bug report #4821

Can't print in A0 size, used to work in QGIS 1.6

2012-01-16 06:50 AM - Patrice Vetsel -

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14667

Description

I can't print in big size (A0). Under 1.7.3 or 1.9.90 under windows XP.

Many errors or crashs. I'v first tried to export to PDF in A0 with raster (300dpi) or not, but without success (A3 work).

After that, I'v tried to print to a virtual printer (PDFCREATOR), I'v some success in A1 but failed again in A0.

Related issues:

Related to QGIS Application - Bug report # 3467: Label Buffers Produces Extre... Closed

History

#1 - 2012-01-16 06:53 AM - Giovanni Manghi

This is a known "issue" on Windows machines, in particular XP/32bit. Not sure if it is a QGIS issue or a OS limitation when it comes to use of large

amounts of memory. I don't have many chances to make deep tests on this matter, so I would like to ask if can help. Try print the same project on a

Vista/Seven/Linux 32/64bit machine and see if it goes better.

#2 - 2012-01-31 03:02 AM - Giovanni Manghi

- Status changed from Open to Feedback

Did you made a test on a different OS 32 or 64 bit?

#3 - 2012-01-31 04:02 AM - Patrice Vetsel -

Giovanni Manghi wrote:

Did you made a test on a different OS 32 or 64 bit?

It's working on MacOSX. I don't have access to a Vista Windows.

#4 - 2012-01-31 04:08 AM - Giovanni Manghi

Patrice Vetsel - wrote:

Giovanni Manghi wrote:

Did you made a test on a different OS 32 or 64 bit?
It's working on MacOSX. I don't have access to a Vista Windows.

This should mean/confirm that is a memory issue of Windows XP 32bit.

If you can share a project that is not printing on XP 32bit I can manage to test it on Linux and Seven.

#5 - 2012-01-31 04:30 AM - Richard Duivenvoorde

I can confirm this for Windows XP.

About one year ago I did some A0-pdf print tests with a client. While on his XP machine the pdf either failed or was corrupted (not sure which one of

those), doing the same on my ubuntu 32bits laptop succeeded at that time.

#6 - 2012-01-31 04:44 AM - Giovanni Manghi

- Assignee set to Marco Hugentobler

Richard Duivenvoorde wrote:

I can confirm this for Windows XP.

About one year ago I did some A0-pdf print tests with a client. While on his XP machine the pdf either failed or was corrupted (not sure which one of

those), doing the same on my ubuntu 32bits laptop succeeded at that time.

this is also what I'm observing and what I have been told by others. It seems anyway that Vista/Seven 32 bit are not suffering of such memory bad

management. I believe that we should "catch" if a user is using XP 32bit and letting him know that in the composer he can find limitations.

#7 - 2012-02-03 07:27 AM - Martin Studer

The "Create PDF" of Version 1.7.3 also crashes on Win7 64bit, I tested it with .ecw and tiff. Version 1.6.0 has no Problem to create A0 pdf with 600dpi with

XP and Win7 64bit.

#8 - 2012-02-03 07:28 AM - Giovanni Manghi

Martin Studer wrote:

The "Create PDF" of Version 1.7.3 also crashes on Win7 64bit, I tested it with .ecw and tiff. Version 1.6.0 has no Problem to create A0 pdf with

600dpi with XP and Win7 64bit.

the seems a qgis problem

#9 - 2012-02-04 08:56 AM - Giovanni Manghi

- Priority changed from Normal to High

- Subject changed from Can't print in A0 size to (regression) Can't print in A0 size, used to work in QGIS 1.6
As it is confirmed is a regression, I'll upgrade the priority of this ticket, considering also the importance of this issue in daily work of many qgis users.

#10 - 2012-03-15 11:18 PM - bis nulama

I tested the egis 1.7.4 BAD allocation problem on winxp with a collegue of mine. She frequently has this bad allocation problem, I have this problem just

with her projects.

As suggested by Giovanni we tried to re-create the same project with qgis 1.6 and she printed her map correctly. Then she tried to use again the 1.7.4 and

she got again the bad allocation pop up.

Then we tried to recreate the project from the beginning. And we realized that: she loaded the shapefiles as "folder" and I loaded them as "files": if she

loads shape files as "files" it works correctly.

But there's anyway something strange because she printed layout without problems for weeks loading shapes as folders!

laura

#11 - 2012-03-15 11:18 PM - bis nulama

I tested the qgis 1.7.4 BAD allocation problem on winxp with a collegue of mine. She frequently has this bad allocation problem, I have this problem just

with her projects.

As suggested by Giovanni we tried to re-create the same project with qgis 1.6 and she printed her map correctly. Then she tried to use again the 1.7.4 and

she got again the bad allocation pop up.

Then we tried to recreate the project from the beginning. And we realized that: she loaded the shapefiles as "folder" and I loaded them as "files": if she

loads shape files as "files" it works correctly.

But there's anyway something strange because she printed layout without problems for weeks loading shapes as folders!

laura

#12 - 2012-04-16 05:20 AM - Giovanni Manghi

- Priority changed from High to Severe/Regression

#13 - 2012-04-16 05:41 AM - Giovanni Manghi

see also #4504

#14 - 2012-04-16 06:34 AM - Paolo Cavallini

- Target version set to Version 1.8.0

#15 - 2012-05-04 02:52 AM - Giovanni Manghi

- Priority changed from Severe/Regression to Normal

http://lists.osgeo.org/pipermail/qgis-developer/2012-May/019905.html

Marco got the crashes also on qgis 1.6, so it seems to be indeed a memory management problem on win32 when using large formats and heavy layouts.

The solution will be qgis 64 bit on win64, or (I guess) add more memory on win32 machines.
This should be closed as "won't fix", but I'll Marco to take the more appropriated action.

#16 - 2012-05-04 02:57 AM - Nathan Woodrow

I don't think closing it as "won't fix" is a good move.  Sure it's not a easy fix but I'm sure it can be fixed.   There must be something that is causing the

memory issues and should be investigated if we can.  I can print A0 in MapInfo, ArcGIS, and every other GIS program.  So we need to fix it at some stage.

#17 - 2012-05-04 03:04 AM - Paolo Cavallini

Could this be considered fixed when a 64bit Win package is available (both standalone and osgeo4w)? Are there still 32bit Win machines around?

#18 - 2012-05-04 03:08 AM - Jürgen Fischer

Paolo Cavallini wrote:

Could this be considered fixed when a 64bit Win package is available (both standalone and osgeo4w)? Are there still 32bit Win machines around?

The 64bit installer would be independant of OSGEO4W.  OSGEO4W doesn't have 64bit binaries.  I suppose there are still plenty of 32bit machines (or

better put: machines running the 32bit version of Windows) out there.

#19 - 2012-05-04 03:10 AM - Jürgen Fischer

- Subject changed from (regression) Can't print in A0 size, used to work in QGIS 1.6 to Can't print in A0 size, used to work in QGIS 1.6

#20 - 2012-05-04 03:19 AM - Giovanni Manghi

The 64bit installer would be independant of OSGEO4W.  OSGEO4W doesn't have 64bit binaries.  I suppose there are still plenty of 32bit machines

(or better put: machines running the 32bit version of Windows) out there.

Then what about adding a warning when a user prints (a large format?) on win?

#21 - 2012-05-13 11:19 PM - Marco Hugentobler

It should work much better on 32bit machines with change commit:0bf56ab225789dacbd0e7a6523486eda2b054d67 for many cases. Print as raster and

to image won't work still, but e.g. to A0 pdf or directly to printer should be possible.

#22 - 2012-08-06 09:09 AM - Jürgen Fischer

BTW buffered labels with old labeling can also cause the print output to explode.

#23 - 2012-09-04 11:54 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#24 - 2013-07-12 03:05 PM - Giovanni Manghi

- File print_tests.tar.gz added
- Status changed from Feedback to Open

This is still an issue (and causing crash) on the latest master revision (tested on a Windows 7 VM with 4gb of ram):

The attached project is made of a hand full of Spatialite vectors, no fancy symbology, no labels.

Printing as vector works up to A0 and 600dpi.

Printing as raster causes QGIS to crash printing in A0 at 300 dpi (works at 250) and printing in A1 at 450 dpi (works at 300).

Printing as raster (A0 600dpi) fails also on Linux, but instead of crashing it produces silently a blank pdf.

#25 - 2013-08-26 05:39 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed

I have done some extensive test with the new QGIS 64 bit for Windows.

http://trac.osgeo.org/osgeo4w/

and I was able to print complex maps, with labels, wms layers, large postgis layers, etc., both as vector or raster at resolutions up to 600dpi on A0 layouts,

with no problems whatsoever.

Please reopen if necessary.

Files

print_tests.tar.gz 403 KB 2013-07-12 Giovanni Manghi
